<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:html="http://www.w3.org/1999/xhtml"
    xmlns:ixsl="http://saxonica.com/ns/interactiveXSLT"
    exclude-result-prefixes="#all" version="3.0">

    <xsl:template match="/">
        <xsl:result-document href="#content" method="ixsl:replace-content">
            <div id="alerts">
                
            </div>
            <div style="padding: 5px;">
                <textarea rows="20" cols="125" wrap="soft" placeholder="Put some html here">
                    
                </textarea>
            </div>
            <button type="button" class="btn btn-primary btn-lg" id="clickMe">Click Me</button>
        </xsl:result-document>
    </xsl:template>

    <xsl:template match="button[@id = 'clickMe']" mode="ixsl:onclick">
        <xsl:variable name="document">
            <xsl:try>
                <xsl:sequence select="parse-xml(ixsl:get(ixsl:page()//textarea, 'value'))"/>
                <xsl:catch><not-a-document/></xsl:catch>
            </xsl:try>
        </xsl:variable>
        <xsl:result-document href="#alerts" ixsl:replace-content>
            <xsl:copy-of select="$document"/>
        </xsl:result-document>
    </xsl:template>

</xsl:stylesheet>
